<T3DataStructure>
    <meta>
        <langDisable>1</langDisable>
    </meta>
    <sheets>
    <!--##########################-->
    <!-- Tab for general settings -->
    <!--##########################-->
    <sDEF>
        <ROOT>
            <TCEforms>
                <sheetTitle>Einstellungen</sheetTitle>
            </TCEforms>
            <type>array</type>
            <el>

                <switchableControllerActions>
                    <TCEforms>
                        <label>Plugin type</label>
                        <onChange>reload</onChange>
                        <config>
                            <type>select</type>
                            <renderType>selectSingle</renderType>
                            <items type="array">
                                <numIndex index="0" type="array">
                                    <numIndex index="0">Login Formular (Action: loginForm)</numIndex>
                                    <numIndex index="1">Felogin->loginForm</numIndex>
                                </numIndex>
                                <numIndex index="1" type="array">
                                    <numIndex index="0">Login (Action: login)</numIndex>
                                    <numIndex index="1">Felogin->login</numIndex>
                                </numIndex>
                            </items>
                            <default>0</default>
                        </config>
                    </TCEforms>
                </switchableControllerActions>



                <settings.flexform.login.pid>
                    <TCEforms>
                        <label>Die ID der Seite, wo das Action Login liegt</label>
                        <displayCond>FIELD:switchableControllerActions:=:Felogin->loginForm</displayCond>
                        <config>
                            <type>group</type>
                            <internal_type>db</internal_type>
                            <allowed>pages</allowed>
                            <size>1</size>
                            <maxitems>1</maxitems>
                            <minitems>1</minitems>
                            <show_thumbs>1</show_thumbs>
                            <wizards>
                                <suggest>
                                    <type>suggest</type>
                                </suggest>
                            </wizards>
                        </config>
                    </TCEforms>
                </settings.flexform.login.pid>



                <settings.flexform.wsdl>
                    <TCEforms>
                        <label>Webservice URL</label>
                        <displayCond>FIELD:switchableControllerActions:=:Felogin->login</displayCond>
                        <config>
                            <type>input</type>
                            <size>30</size>
                            <max>255</max>
                            <eval>required,trim</eval>
                        </config>
                    </TCEforms>
                </settings.flexform.wsdl>

                <settings.flexform.storagePid>
                    <TCEforms>
                        <label>Storage PID: die ID der Seite, wo die Nutzerdaten gespeichert sind</label>
                        <displayCond>FIELD:switchableControllerActions:=:Felogin->login</displayCond>
                        <config>
                            <type>group</type>
                            <internal_type>db</internal_type>
                            <allowed>pages</allowed>
                            <size>1</size>
                            <maxitems>1</maxitems>
                            <minitems>1</minitems>
                            <show_thumbs>1</show_thumbs>
                            <wizards>
                                <suggest>
                                    <type>suggest</type>
                                </suggest>
                            </wizards>
                        </config>
                    </TCEforms>
                </settings.flexform.storagePid>

                <settings.flexform.redirectPid>
                    <TCEforms>
                        <label>Redirect PID: die ID der Seite, wo nach dem erfolgreichen Login weitergeleitet wird</label>
                        <displayCond>FIELD:switchableControllerActions:=:Felogin->login</displayCond>
                        <config>
                            <type>group</type>
                            <internal_type>db</internal_type>
                            <allowed>pages</allowed>
                            <size>1</size>
                            <maxitems>1</maxitems>
                            <minitems>0</minitems>
                            <show_thumbs>1</show_thumbs>
                            <wizards>
                                <suggest>
                                    <type>suggest</type>
                                </suggest>
                            </wizards>
                        </config>
                    </TCEforms>
                </settings.flexform.redirectPid>

            </el>
        </ROOT>
    </sDEF>
    </sheets>
</T3DataStructure>
